/*******************************************************************************
*   Ledger Blue
*   (c) 2016 Ledger
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
********************************************************************************/

#include "tokens.h"

const tokenDefinition_t const TOKENS[NUM_TOKENS] = {

    {{0xAf, 0x30, 0xD2, 0xa7, 0xE9, 0x0d, 0x7D, 0xC3, 0x61, 0xc8,
      0xC4, 0x58, 0x5e, 0x9B, 0xB7, 0xD2, 0xF6, 0xf1, 0x5b, 0xc7},
     "1ST ",
     18},
    {{0x96, 0x0b, 0x23, 0x6a, 0x07, 0xcf, 0x12, 0x26, 0x63, 0xc4,
      0x30, 0x33, 0x50, 0x60, 0x9a, 0x66, 0xa7, 0xb2, 0x88, 0xc0},
     "ANT ",
     18},
    {{0xAc, 0x70, 0x9F, 0xcB, 0x44, 0xa4, 0x3c, 0x35, 0xF0, 0xDA,
      0x4e, 0x31, 0x63, 0xb1, 0x17, 0xA1, 0x7F, 0x37, 0x70, 0xf5},
     "ARC ",
     18},
    {{0x74, 0xc1, 0xe4, 0xb8, 0xca, 0xe5, 0x92, 0x69, 0xec, 0x1d,
      0x85, 0xd3, 0xd4, 0xf3, 0x24, 0x39, 0x60, 0x48, 0xf4, 0xac},
     "(^) ",
     0},
    {{0x1e, 0x79, 0x7C, 0xe9, 0x86, 0xC3, 0xCF, 0xF4, 0x47, 0x2F,
      0x7D, 0x38, 0xd5, 0xC4, 0xab, 0xa5, 0x5D, 0xfE, 0xFE, 0x40},
     "BCDN ",
     15},
    {{0xae, 0xf3, 0x8f, 0xbf, 0xbf, 0x93, 0x2d, 0x1a, 0xef, 0x3b,
      0x80, 0x8b, 0xc8, 0xfb, 0xd8, 0xcd, 0x8e, 0x1f, 0x8b, 0xc5},
     "CRB ",
     8},
    {{0xe4, 0xc9, 0x4d, 0x45, 0xf7, 0xae, 0xf7, 0x01, 0x8a, 0x5d,
      0x66, 0xf4, 0x4a, 0xf7, 0x80, 0xec, 0x60, 0x23, 0x37, 0x8e},
     "CCRB ",
     6},
    {{0xbb, 0x9b, 0xc2, 0x44, 0xd7, 0x98, 0x12, 0x3f, 0xde, 0x78,
      0x3f, 0xcc, 0x1c, 0x72, 0xd3, 0xbb, 0x8c, 0x18, 0x94, 0x13},
     "DAO ",
     16},
    {{0x5c, 0x40, 0xeF, 0x6f, 0x52, 0x7f, 0x4F, 0xbA, 0x68, 0x36,
      0x87, 0x74, 0xE6, 0x13, 0x0c, 0xE6, 0x51, 0x51, 0x23, 0xf2},
     "DAOe ",
     0},
    {{0xe0, 0xb7, 0x92, 0x7c, 0x4a, 0xf2, 0x37, 0x65, 0xcb, 0x51,
      0x31, 0x4a, 0x0e, 0x05, 0x21, 0xa9, 0x64, 0x5f, 0x0e, 0x2a},
     "DGD ",
     9},
    {{0x55, 0xb9, 0xa1, 0x1c, 0x2e, 0x83, 0x51, 0xb4, 0xff, 0xc7,
      0xb1, 0x15, 0x61, 0x14, 0x8b, 0xfa, 0xc9, 0x97, 0x78, 0x55},
     "DGX1 ",
     9},
    {{0x08, 0x71, 0x1D, 0x3B, 0x02, 0xC8, 0x75, 0x8F, 0x2F, 0xB3,
      0xab, 0x4e, 0x80, 0x22, 0x84, 0x18, 0xa7, 0xF8, 0xe3, 0x9c},
     "EDG ",
     0},
    {{0xb8, 0x02, 0xb2, 0x4e, 0x06, 0x37, 0xc2, 0xb8, 0x7d, 0x2e,
      0x8b, 0x77, 0x84, 0xc0, 0x55, 0xbb, 0xe9, 0x21, 0x01, 0x1a},
     "EMV ",
     2},
    {{0x68, 0x10, 0xe7, 0x76, 0x88, 0x0c, 0x02, 0x93, 0x3d, 0x47,
      0xdb, 0x1b, 0x9f, 0xc0, 0x59, 0x08, 0xe5, 0x38, 0x6b, 0x96},
     "GNO ",
     18},
    {{0xa7, 0x44, 0x76, 0x44, 0x31, 0x19, 0xA9, 0x42, 0xdE, 0x49,
      0x85, 0x90, 0xFe, 0x1f, 0x24, 0x54, 0xd7, 0xD4, 0xaC, 0x0d},
     "GNT ",
     18},
    {{0xf7, 0xB0, 0x98, 0x29, 0x8f, 0x7C, 0x69, 0xFc, 0x14, 0x61,
      0x0b, 0xf7, 0x1d, 0x5e, 0x02, 0xc6, 0x07, 0x92, 0x89, 0x4C},
     "GUP ",
     3},
    {{0x1d, 0x92, 0x1e, 0xed, 0x55, 0xa6, 0xa9, 0xcc, 0xaa, 0x9c,
      0x79, 0xb1, 0xa4, 0xf7, 0xb2, 0x55, 0x56, 0xe4, 0x43, 0x65},
     "GT ",
     0},
    {{0x14, 0xF3, 0x7B, 0x57, 0x42, 0x42, 0xD3, 0x66, 0x55, 0x8d,
      0xB6, 0x1f, 0x33, 0x35, 0x28, 0x9a, 0x50, 0x35, 0xc5, 0x06},
     "HKG ",
     3},
    {{0xcb, 0xcc, 0x0f, 0x03, 0x6e, 0xd4, 0x78, 0x8f, 0x63, 0xfc,
      0x0f, 0xee, 0x32, 0x87, 0x3d, 0x6a, 0x74, 0x87, 0xb9, 0x08},
     "HMQ ",
     8},
    {{0x88, 0x86, 0x66, 0xCA, 0x69, 0xE0, 0xf1, 0x78, 0xDE, 0xD6,
      0xD7, 0x5b, 0x57, 0x26, 0xCe, 0xe9, 0x9A, 0x87, 0xD6, 0x98},
     "ICN ",
     18},
    {{0xc1, 0xe6, 0xc6, 0xc6, 0x81, 0xb2, 0x86, 0xfb, 0x50, 0x3b,
      0x36, 0xa9, 0xdd, 0x6c, 0x1d, 0xbf, 0xf8, 0x5e, 0x73, 0xcf},
     "JET ",
     18},
    {{0xfa, 0x05, 0xa7, 0x3f, 0xfe, 0x78, 0xef, 0x8f, 0x1a, 0x73,
      0x94, 0x73, 0xe4, 0x62, 0xc5, 0x4b, 0xae, 0x65, 0x67, 0xd9},
     "LUN ",
     18},
    {{0xd0, 0xb1, 0x71, 0xEb, 0x0b, 0x0F, 0x2C, 0xbD, 0x35, 0xcC,
      0xD9, 0x7c, 0xDC, 0x5E, 0xDC, 0x3f, 0xfe, 0x48, 0x71, 0xaa},
     "MDA ",
     18},
    {{0xe2, 0x3c, 0xd1, 0x60, 0x76, 0x1f, 0x63, 0xfc, 0x3a, 0x1c,
      0xf7, 0x8a, 0xa0, 0x34, 0xb6, 0xcd, 0xf9, 0x7d, 0x3e, 0x0c},
     "MIT ",
     18},
    {{0xc6, 0x6e, 0xa8, 0x02, 0x71, 0x7b, 0xfb, 0x98, 0x33, 0x40,
      0x02, 0x64, 0xdd, 0x12, 0xc2, 0xbc, 0xea, 0xa3, 0x4a, 0x6d},
     "MKR ",
     18},
    {{0xBE, 0xB9, 0xeF, 0x51, 0x4a, 0x37, 0x9B, 0x99, 0x7e, 0x07,
      0x98, 0xFD, 0xcC, 0x90, 0x1E, 0xe4, 0x74, 0xB6, 0xD9, 0xA1},
     "MLN ",
     18},
    {{0x1a, 0x95, 0xb2, 0x71, 0xb0, 0x53, 0x5d, 0x15, 0xfa, 0x49,
      0x93, 0x2d, 0xab, 0xa3, 0x1b, 0xa6, 0x12, 0xb5, 0x29, 0x46},
     "MNE ",
     8},
    {{0x45, 0xe4, 0x2D, 0x65, 0x9D, 0x9f, 0x94, 0x66, 0xcD, 0x5D,
      0xF6, 0x22, 0x50, 0x60, 0x33, 0x14, 0x5a, 0x9b, 0x89, 0xBc},
     "NxC ",
     3},
    {{0xD8, 0x91, 0x2C, 0x10, 0x68, 0x1D, 0x8B, 0x21, 0xFd, 0x37,
      0x42, 0x24, 0x4f, 0x44, 0x65, 0x8d, 0xBA, 0x12, 0x26, 0x4E},
     "PLU ",
     18},
    {{0x48, 0xc8, 0x0F, 0x1f, 0x4D, 0x53, 0xD5, 0x95, 0x1e, 0x5D,
      0x54, 0x38, 0xB5, 0x4C, 0xba, 0x84, 0xf2, 0x9F, 0x32, 0xa5},
     "REP ",
     18},
    {{0x60, 0x7F, 0x4C, 0x5B, 0xB6, 0x72, 0x23, 0x0e, 0x86, 0x72,
      0x08, 0x55, 0x32, 0xf7, 0xe9, 0x01, 0x54, 0x4a, 0x73, 0x75},
     "RLC ",
     9},
    {{0x2e, 0x07, 0x1d, 0x29, 0x66, 0xaa, 0x7d, 0x8d, 0xec, 0xb1,
      0x00, 0x58, 0x85, 0xba, 0x19, 0x77, 0xd6, 0x03, 0x8a, 0x65},
     "ROL ",
     16},
    {{0x49, 0x93, 0xCB, 0x95, 0xc7, 0x44, 0x3b, 0xdC, 0x06, 0x15,
      0x5c, 0x5f, 0x56, 0x88, 0xBe, 0x9D, 0x8f, 0x69, 0x99, 0xa5},
     "RND ",
     18},
    {{0xd2, 0x48, 0xb0, 0xd4, 0x8e, 0x44, 0xaa, 0xf9, 0xc4, 0x9a,
      0xea, 0x03, 0x12, 0xbe, 0x7e, 0x13, 0xa6, 0xdc, 0x14, 0x68},
     "SGT ",
     1},
    {{0xae, 0xc2, 0xe8, 0x7e, 0x0a, 0x23, 0x52, 0x66, 0xd9, 0xc5,
      0xad, 0xc9, 0xde, 0xb4, 0xb2, 0xe2, 0x9b, 0x54, 0xd0, 0x09},
     "SNGL ",
     0},
    {{0x1d, 0xce, 0x4f, 0xa0, 0x36, 0x39, 0xb7, 0xf0, 0xc3, 0x8e,
      0xe5, 0xbb, 0x60, 0x65, 0x04, 0x5e, 0xdc, 0xf9, 0x81, 0x9a},
     "SRC ",
     8},
    {{0xB9, 0xe7, 0xF8, 0x56, 0x8e, 0x08, 0xd5, 0x65, 0x9f, 0x5D,
      0x29, 0xC4, 0x99, 0x71, 0x73, 0xd8, 0x4C, 0xdF, 0x26, 0x07},
     "SWT ",
     18},
    {{0xe7, 0x77, 0x5a, 0x6e, 0x9b, 0xcf, 0x90, 0x4e, 0xb3, 0x9d,
      0xa2, 0xb6, 0x8c, 0x5e, 0xfb, 0x4f, 0x93, 0x60, 0xe0, 0x8c},
     "TaaS ",
     6},
    {{0x65, 0x31, 0xf1, 0x33, 0xe6, 0xDe, 0xeB, 0xe7, 0xF2, 0xdc,
      0xE5, 0xA0, 0x44, 0x1a, 0xA7, 0xef, 0x33, 0x0B, 0x4e, 0x53},
     "TIME ",
     8},
    {{0xaa, 0xaf, 0x91, 0xd9, 0xb9, 0x0d, 0xf8, 0x00, 0xdf, 0x4f,
      0x55, 0xc2, 0x05, 0xfd, 0x69, 0x89, 0xc9, 0x77, 0xe7, 0x3a},
     "TKN ",
     8},
    {{0xcb, 0x94, 0xbe, 0x6f, 0x13, 0xa1, 0x18, 0x2e, 0x4a, 0x4b,
      0x61, 0x40, 0xcb, 0x7b, 0xf2, 0x02, 0x5d, 0x28, 0xe4, 0x1b},
     "TRST ",
     6},
    {{0x89, 0x20, 0x5A, 0x3A, 0x3b, 0x2A, 0x69, 0xDe, 0x6D, 0xbf,
      0x7f, 0x01, 0xED, 0x13, 0xB2, 0x10, 0x8B, 0x2c, 0x43, 0xe7},
     "o> ",
     0},
    {{0x5c, 0x54, 0x3e, 0x7A, 0xE0, 0xA1, 0x10, 0x4f, 0x78, 0x40,
      0x6C, 0x34, 0x0E, 0x9C, 0x64, 0xFD, 0x9f, 0xCE, 0x51, 0x70},
     "VSL ",
     18},
    {{0x66, 0x70, 0x88, 0xb2, 0x12, 0xce, 0x3d, 0x06, 0xa1, 0xb5,
      0x53, 0xa7, 0x22, 0x1E, 0x1f, 0xD1, 0x90, 0x00, 0xd9, 0xaF},
     "WING ",
     18},
    {{0x4D, 0xF8, 0x12, 0xF6, 0x06, 0x4d, 0xef, 0x1e, 0x5e, 0x02,
      0x9f, 0x1c, 0xa8, 0x58, 0x77, 0x7C, 0xC9, 0x8D, 0x2D, 0x81},
     "XAUR ",
     8},

};
